Skip to content

All resources

subscriptions

3 endpoints

get /project-subscriptions

List the caller's project subscriptions

Requires authentication

Returns every stored (non-default) subscription for the caller in the current org.

Responses

  • 200 OK · object
  • 401 Unauthorized · apimodel.ErrorEnvelope

get /projects/{id}/subscription

Get the caller's subscription for a project

Requires authentication

Returns the caller's notification level for one project (defaults to "participating" when never set).

Parameters

NameInTypeRequiredDescription
idpathintegeryesProject id

Responses

  • 200 OK · object
  • 401 Unauthorized · apimodel.ErrorEnvelope

put /projects/{id}/subscription

Set the caller's subscription for a project

Requires authentication

Parameters

NameInTypeRequiredDescription
idpathintegeryesProject id

Request body: object

No fields documented.

Responses

  • 200 OK · object
  • 400 Bad Request · apimodel.ErrorEnvelope
  • 401 Unauthorized · apimodel.ErrorEnvelope